# Автоматически принять лицензию (иначе установка остановится на подтверждении)
license: true

# Список языков (локалей), которые будут доступны в системе
locales:
  - ru_RU
  - en_US

# Список раскладок клавиатуры, которые будут доступны
layouts:
  - us
  - ru

# Комбинации переключения раскладки (grp options из base.lst)
layout_switch_keys:
  - alt_shift_toggle

# Часовой пояс системы
timezone: Europe/Moscow

# Настройки синхронизации времени.
# Если ntp_state: True — служба синхронизации будет включена после установки.
# Если ntp_settings не задавать, по умолчанию используют ntp1.vniiftri.ru.
ntp_settings:
  ntp_state: False
  # ntp_server: 'ntp1.vniiftri.ru'  # при ntp_state: False не нужен

# Создание основного пользователя + пароль для GRUB
user:
  username: user

  # Пароль пользователя: поддерживаются plain и хэш (crypt, например $6$ = sha512-crypt)
  password-encrypted: "$6$Vbt619Kb8eqzgMih$a4MLwl.W78VmQQM6T02ER2cCi9OHzsEdlOk7GZbRsbH64.s/LCrgWv47hBd1/pDGps4mOVj3LKUMW4pu2dkKe."

  # ВАЖНО: GRUB "encrypted" пароль обычно ожидается в формате grub-mkpasswd-pbkdf2
  grub-password-encrypted: "grub.pbkdf2.sha512.10000.9A46859959FB7227A593E7D21DECC8F34CA43CF84400BEA0BD2D81F7E039CBF7ECFCBB509624E9092F8D0CB85411A75FE4EA723E9429814AB4ED5125A54D437F.37AE0AAF9EA7593B621956E187A960AA54DD7E5953490F857034C20D916F1EDC2A06106E260F508E73361BF4717053AB18202587977942BE67BA429A113F1584"

# Параметры hostname
host:
  hostname: astra

  # Генерировать случайный суффикс вида "-NNNNN" к hostname (удобно для массовых установок)
  generate_sub_name: False

# Откуда брать репозитории и как формировать секцию repos.
# auto/config/disk/sources — это реально разные режимы.
repo_source: auto

# Репозитории (нужны обязательно при сетевой установке; при установке с образа могут не требоваться)
# repos:
#   debootstrap:
#     url: "deb http://<YOUR-REPO>/astra/stable/1.8_x86-64/repository-main/ 1.8_x86-64 main contrib non-free"

# Наборы пакетов (tasksel). Можно посмотреть состав на установленной ОС через tasksel / tasksel --task-packages.
tasks:
  - Base
  - Fly
  # - Fly-ssh
  # - Internet
  # - Office

# Доп. пакеты одной строкой в кавычках, через пробел (если надо)
# packages: "htop curl vim"

# Режим защищённости:
# 0 = «Орёл» (базовый), 1 = «Воронеж» (повышенный), 2 = «Смоленск» (максимальный).
mode: 0

# Дополнительные настройки безопасности (features)
# Например: astra-ptrace-lock (запрет ptrace), astra-sudo-control (запрос пароля для sudo).
features:
  - astra-ptrace-lock
  - astra-sudo-control

# Разметка диска (kickstart-подобные инструкции).
# ignoredisk/clearpart/reqpart/part/volgroup/logvol — это штатные директивы разметки.
storage:
  config: |
    # Размечать ТОЛЬКО vdb (остальные диски игнорировать)
    ignoredisk --only-use=vdb

    # Удалить все разделы на выбранном диске, создать GPT
    clearpart --all --disklabel=gpt

    # Создать "обязательные" служебные разделы, если нужны под платформу (зависит от BIOS/UEFI и схемы)
    reqpart

    # Один PV под LVM на весь остаток диска
    part pv.lvm --grow --asprimary
    volgroup VG pv.lvm

    # Корень / в LVM, растянуть "как рекомендовано"
    logvol / --fstype=ext4 --name=lv_root --vgname=VG --grow --recommended

# late_command_intarget — команды, выполняемые ВНУТРИ установленной системы (chroot в target).
late_command_intarget: |
  apt-get update

# late_command — выполняется в окружении УСТАНОВЩИКА после late_command_intarget (то есть НЕ внутри target).
late_command: |
  sudo apt install -y openssh-server
  sudo echo 'PermitRootLogin yes' > /etc/ssh/sshd_config.d/root.conf
  sudo systemctl restart ssh
  sudo echo 'root:root' | chpasswd

# Управление перезагрузкой после установки (доступно, начиная с обновления 1.8.4)
reboot_after_install: False
